<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title> 函数节流</title>
    <style>
        html{
            height: 1000px;
        }
        .box{
            height: 100px;
            width: 200px;
            background:red;
        }
    </style>
</head>
<body>
    <div class="box">
           
    </div>
</body>
<script>
    // 没加函数节流
    // window.addEventListener("scroll", () => console.log("我在滚我在滚！"));

    // 加上函数节流
    function throttle(fn, interval = 500) {
        let run = true;

        return function () {
            if (!run) return;
            run = false;
            setTimeout(() => {
            fn.apply(this, arguments);
            run = true;
            }, interval);
        };
    }
    window.addEventListener("scroll", throttle(() => console.log("我在滚我在滚！")));
</script>
</html>